AnsweredAssumed Answered

Upgrade 4.2.f > 5.0.c issue

Question asked by 102020 on Mar 17, 2015
Latest reply on Mar 17, 2015 by 102020
So I'm getting 2 different errors:

"2015-03-17 00:00:00,771  ERROR [admin.patch.PatchExecuter] [localhost-startStop-1] 02170003 org.alfresco.repo.security.authority.UnknownAuthorityException: 02170002 An authority was not found for admin"

and

"### Error updating database.  Cause: org.postgresql.util.PSQLException: ERROR: value too long for type character varying(1024)
### The error may involve alfresco.appliedpatch.update_AppliedPatch-Inline
### The error occurred while setting parameters
### SQL: update alf_applied_patch             set                 description = ?,                 fixes_from_schema = ?,                 fixes_to_schema = ?,                 target_schema = ?,                 applied_to_schema = ?,                 applied_on_date = ?,                 applied_to_server = ?,                 was_executed = ?,                 succeeded = ?,                 report = ?             where                 id = ?"

By the looks of these, 1 is saying something wrong with admin user? Well we deleted admin user and user 'administrator' as login via ldap. If this is an issue, how can we go about undeleting the default admin account?

And error #2 is about the db upgrade patch (this happens after restoring the 4.2.f database to the 5.0.c db location).

these errors only occur when trying to restore the cold backup, the stock install works fine.


any pointers would be great.

Outcomes